Starmade | Logic block shift + V crash
Closed, FinishedPublic

Description

In 201.023 selecting an activation module with 'C' then attempting to mass-connect ('Shift+V') to anything else crashes the server and user is returned to main menu. In single player, menu (client) program must be restarted in order to re-enter world.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.089
Category
Logic Gates
First occurrence (version)
0.201.023
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. place any number of blocks (tested with doors, glass doors, basic armor but you can basically put anything down)
  2. place activation module
  3. select activation module with 'C'
  4. mass-connect to any other blocks with 'Shift+V'
Tester information (Internal use only)

-validated- & -confirmed-

Only happens if you try to shift + v link logic to any other block.

java.lang.NullPointerException
	at org.schema.game.client.controller.manager.ingame.SegmentBuildController.controlCurrentIntersectionBlockBulk(SegmentBuildController.java:163)
	at org.schema.game.client.controller.manager.ingame.SegmentBuildController.handleKeyEvent(SegmentBuildController.java:327)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.ship.ShipControllerManager.handleKeyEvent(ShipControllerManager.java:81)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.ship.InShipControlManager.handleKeyEvent(InShipControlManager.java:242)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.PlayerInteractionControlManager.handleKeyEvent(PlayerInteractionControlManager.java:1462)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.PlayerGameControlManager.handleKeyEvent(PlayerGameControlManager.java:349)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.InGameControlManager.handleKeyEvent(InGameControlManager.java:312)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.GlobalGameControlManager.handleKeyEvent(GlobalGameControlManager.java:126)
	at org.schema.game.client.controller.GameClientController.handleKeyEvent(GameClientController.java:3512)
	at org.schema.schine.input.BasicInputController.updateInput(BasicInputController.java:184)
	at org.schema.game.client.controller.GameClientController.updateStateInput(GameClientController.java:1485)
	at org.schema.schine.graphicsengine.core.GLFrame.doFrameAndUpdate(GLFrame.java:628)
	at org.schema.schine.graphicsengine.core.GraphicsContext.mainLoop(GraphicsContext.java:856)
	at org.schema.schine.graphicsengine.core.GraphicsContext.startUp(GraphicsContext.java:753)
	at org.schema.game.client.controller.GameMainMenuController.startGraphics(GameMainMenuController.java:1158)
	at org.schema.game.common.Starter.startMainMenu(Starter.java:1431)
	at org.schema.game.common.Starter.main(Starter.java:974)

Might be related to an older task, T1315. Back then you could do shift + v link but it never did more than just the directly touching blocks of the one you used it on.

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
MacThule created this task.May 17 2018, 7:08 AM
lancake claimed this task.Jun 6 2018, 2:08 PM
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake changed the task status from "Open" to "In Queue".
lancake added a subscriber: lancake.

-validated- & -confirmed-

Only happens if you try to shift + v link logic to any other block.

java.lang.NullPointerException
	at org.schema.game.client.controller.manager.ingame.SegmentBuildController.controlCurrentIntersectionBlockBulk(SegmentBuildController.java:163)
	at org.schema.game.client.controller.manager.ingame.SegmentBuildController.handleKeyEvent(SegmentBuildController.java:327)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.ship.ShipControllerManager.handleKeyEvent(ShipControllerManager.java:81)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.ship.InShipControlManager.handleKeyEvent(InShipControlManager.java:242)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.PlayerInteractionControlManager.handleKeyEvent(PlayerInteractionControlManager.java:1462)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.PlayerGameControlManager.handleKeyEvent(PlayerGameControlManager.java:349)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.ingame.InGameControlManager.handleKeyEvent(InGameControlManager.java:312)
	at org.schema.game.client.controller.manager.AbstractControlManager.handleKeyEvent(AbstractControlManager.java:305)
	at org.schema.game.client.controller.manager.GlobalGameControlManager.handleKeyEvent(GlobalGameControlManager.java:126)
	at org.schema.game.client.controller.GameClientController.handleKeyEvent(GameClientController.java:3512)
	at org.schema.schine.input.BasicInputController.updateInput(BasicInputController.java:184)
	at org.schema.game.client.controller.GameClientController.updateStateInput(GameClientController.java:1485)
	at org.schema.schine.graphicsengine.core.GLFrame.doFrameAndUpdate(GLFrame.java:628)
	at org.schema.schine.graphicsengine.core.GraphicsContext.mainLoop(GraphicsContext.java:856)
	at org.schema.schine.graphicsengine.core.GraphicsContext.startUp(GraphicsContext.java:753)
	at org.schema.game.client.controller.GameMainMenuController.startGraphics(GameMainMenuController.java:1158)
	at org.schema.game.common.Starter.startMainMenu(Starter.java:1431)
	at org.schema.game.common.Starter.main(Starter.java:974)

Might be related to an older task, T1315. Back then you could do shift + v link but it never did more than just the directly touching blocks of the one you used it on.

Restricted Application removed a project: Issue Navigation. · View Herald TranscriptJun 6 2018, 2:08 PM
lancake edited Steps to reproduce. (Show Details)Jun 6 2018, 2:09 PM
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake changed Reproducible from uncertain to Yes.
lancake changed Last tested (version) from 0.201.023 to 0.201.057.
lancake set First occurrence (version) to 0.201.023.
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the title from "Activation module Shift+V crash" to "Logic block shift + V crash".
lancake raised the priority of this task from "Normal" to "Pre-Release Quality Assurance".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
Restricted Application added projects: Game Development, Logic. · View Herald TranscriptJun 6 2018, 2:09 PM
Endal added a subscriber: Endal.Jun 12 2018, 6:15 AM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 26 2018, 1:26 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 26 2018, 1:26 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
lancake closed this task as "Closed".

-QA Testing-

Fix confirmed.

Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJun 28 2018, 6:10 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake changed Last tested (version) from 0.201.057 to 0.201.089.Jun 28 2018, 6:10 PM